/*
 * ReplacedElementItem.java
 *
 * Created on 18 giugno 2004, 14.30
 */

package it.businesslogic.ireport.undo;
import it.businesslogic.ireport.*;
/**
 *
 * @author  Administrator
 */
public class ReplacedElementItem {
    
   private ReportElement oldElement = null;
   private ReportElement newElement = null;
    
   public ReplacedElementItem(ReportElement oldElement, ReportElement newElement) {
       this.newElement = newElement;
       this.oldElement = oldElement;
   }   
   
   /**
    * Getter for property newElement.
    * @return Value of property newElement.
    */
   public it.businesslogic.ireport.ReportElement getNewElement() {
       return newElement;
   }
   
   /**
    * Setter for property newElement.
    * @param newElement New value of property newElement.
    */
   public void setNewElement(it.businesslogic.ireport.ReportElement newElement) {
       this.newElement = newElement;
   }
   
   /**
    * Getter for property oldElement.
    * @return Value of property oldElement.
    */
   public it.businesslogic.ireport.ReportElement getOldElement() {
       return oldElement;
   }
   
   /**
    * Setter for property oldElement.
    * @param oldElement New value of property oldElement.
    */
   public void setOldElement(it.businesslogic.ireport.ReportElement oldElement) {
       this.oldElement = oldElement;
   }
   
}
